/*
 * Copyright (C) 2005 TopCoder Inc., All Rights Reserved.
 *
 * TCS File Statistics 1.0
 */
package com.topcoder.file.statistics;

/**
 * <summary> Encapsulates errors from the StatsReporting interface to indicate an implementation specific error.
 * </summary>
 *
 * @author WishingBone, TCSDEVELOPER
 * @version 1.0
 */
public class StatsReportingException extends FileStatisticsException {

    /**
     * <summary> Constructor with message (no checks). </summary>
     *
     * @param message the message
     */
    public StatsReportingException(String message) {
        super(message);
    }

    /**
     * <summary> Constructor with message and cause (no checks). </summary>
     *
     * @param message the message
     * @param cause the cause
     */
    public StatsReportingException(String message, Throwable cause) {
        super(message, cause);
    }
}
