/*
 * Copyright (C) 2005 TopCoder Inc., All Rights Reserved.
 *
 * TCS File Statistics 1.0
 */
package com.topcoder.file.statistics;


/**
 * <summary> Encapsulates errors from the FileProcessor interface to indicate an implementation specific error. If
 * the file operation fails IOException is used instead. </summary>
 *
 * @author WishingBone, TCSDEVELOPER
 * @version 1.0
 */
public class FileProcessingException extends FileStatisticsException {

    /**
     * <summary> Constructor with message (no checks). </summary>
     *
     * @param message the message
     */
    public FileProcessingException(String message) {
        super(message);
    }

    /**
     * <summary> Constructor with message and cause (no checks). </summary>
     *
     * @param message the message
     * @param cause the cause
     */
    public FileProcessingException(String message, Throwable cause) {
        super(message, cause);
    }
}
