/*
 * Copyright (C) 2005 TopCoder Inc., All Rights Reserved.
 *
 * TCS File Statistics 1.0 (Unit Test)
 */
package com.topcoder.file.statistics;

import junit.framework.TestCase;

/**
 * <p>Unit test case for FileMatchingException class.</p>
 *
 * <p>Simple tests verify that the exception can be instantiated with supplied arguments (message and, optionally,
 * exception cause). </p>
 *
 * @author TCSDEVELOPER
 * @version 1.0
 */
public class FileMatchingExceptionTests extends TestCase {

    /** The error message used for testing. */
    private static final String MESSAGE = "test message";

    /**
     * Creation test for FileMatchingException with message only.
     */
    public void testFileMatchingException1() {
        Exception e = new FileMatchingException(MESSAGE);
        assertSame("Error message is not properly set.", MESSAGE, e.getMessage());
        assertNull("Exception cause is not left null.", e.getCause());
    }

    /**
     * Creation test for FileMatchingException with message and cause.
     */
    public void testFileMatchingException2() {
        Exception cause = new Exception();
        Exception e = new FileMatchingException(MESSAGE, cause);
        assertEquals("Error message is not properly set.", MESSAGE, e.getMessage());
        assertSame("Exception cause is not properly set.", e.getCause(), cause);
    }

}
