/*
 * Copyright (C) 2005 TopCoder Inc., All Rights Reserved.
 *
 * TCS File Statistics 1.0 (Unit Test)
 */
package com.topcoder.file.statistics;

import junit.framework.TestCase;

/**
 * <p>Unit test case for InvalidArgumentException class.</p>
 *
 * <p>Simple tests verify that the exception can be instantiated with supplied arguments (message and, optionally,
 * exception cause). </p>
 *
 * @author TCSDEVELOPER
 * @version 2.0b
 * @since 2.0b
 */
public class InvalidArgumentExceptionTests extends TestCase {

    /** The error message used for testing. */
    private static final String MESSAGE = "test message";

    /**
     * Creation test for InvalidArgumentException with message only.
     */
    public void testInvalidArgumentException1() {
        Exception e = new InvalidArgumentException(MESSAGE);
        assertSame("Error message is not properly set.", MESSAGE, e.getMessage());
        assertNull("Exception cause is not left null.", e.getCause());
    }

    /**
     * Creation test for InvalidArgumentException with message and cause.
     */
    public void testInvalidArgumentException2() {
        Exception cause = new Exception();
        Exception e = new InvalidArgumentException(MESSAGE, cause);
        assertEquals("Error message is not properly set.", MESSAGE, e.getMessage());
        assertSame("Exception cause is not properly set.", e.getCause(), cause);
    }

}
