/*
 * Copyright (C) 2005 TopCoder Inc., All Rights Reserved.
 *
 * TCS File Statistics 1.0 (Unit Test)
 */
package com.topcoder.file.statistics.matcher;

import java.io.File;

import junit.framework.TestCase;

import com.topcoder.util.config.Property;

/**
 * <p>Unit test case for AnyFileMatcher class.</p>
 *
 * @author TCSDEVELOPER
 * @version 1.0
 */
public class AnyFileMatcherTests extends TestCase {

    /** The matcher instance that is tested. */
    private static final AnyFileMatcher MATCHER = new AnyFileMatcher();

    /**
     * Creation test for AnyFileMatcher default constructor.
     */
    public void testAnyFileMatcher1() {
        new AnyFileMatcher();
        // nothing to verify
    }

    /**
     * Creation test for AnyFileMatcher(Property) with null argument. NullPointerException should be thrown.
     */
    public void testAnyFileMatcher2() {
        try {
            new AnyFileMatcher(null);
            fail("NullPointerException should be thrown.");
        } catch (NullPointerException e) {
            // ok
        }
    }

    /**
     * Creation test for AnyFileMatcher(Property) with valid argument.
     */
    public void testAnyFileMatcher3() {
        new AnyFileMatcher(new Property("test property name"));
        // no exception is thrown
    }

    /**
     * Tests match method with null argument. NullPointerException should be thrown.
     */
    public void testMatch1() {
        try {
            MATCHER.match(null);
            fail("NullPointerException should be thrown.");
        } catch (NullPointerException e) {
            // ok
        }
    }

    /**
     * Tests match method with non-null argument. True should be returned.
     */
    public void testMatch2() {
        assertTrue("any file should be matched", MATCHER.match(new File("")));
        assertTrue("any file should be matched", MATCHER.match(new File(".")));
        assertTrue("any file should be matched", MATCHER.match(new File("test_files/a")));
        assertTrue("any file should be matched", MATCHER.match(new File("test_files/a/p.txt")));
        assertTrue("any file should be matched, even non-existing", MATCHER.match(new File(
                "test_files/non-existing")));
    }

}
